/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.acl;

import groovy.rainmaker.core.*;

def type = event._name[].tokenize('-')[0];
def id = zget("/event/${type}#id");

if (event?.session[])
{
    logger.FINE { "Creating ACL for resource of type ${type} and ID ${id} for user ID ${event.session[].id}." };
	createAccessControl(type + 's', id, event.session[].id);
}

else
{
	def ownerid = zget("/event/${type}#ownerid");
    logger.FINE { "Creating ACL for resource of type ${type} and ID ${id} for user ID ${ownerid}." };
	createAccessControl(type + 's', id, ownerid);
}
