/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.ui;

import com.ibm.websphere.acl.PermissionsACL;
import groovy.rainmaker.constants.Status;
import com.ibm.websphere.users.Permissions;

/**
 *
 * @param key
 *        The NLS key representing the icon you wish to render.
 *
 * @return A relative path to the icon associated with the given key.
 *
 */
def icon(key)
{
    def path = zget("/tmp/icons/${key}");
    
    //
    // if icon is not found, load the icon paths - in dev mode, the .properties 
    // file might have been modified after the initial GC load
    //
    if (path == null)
        _initializeIcons();
    
    return zget("/tmp/icons/${key}");
}

def _initializeIcons()
{
    def file = new File(zget('/config/dependencies/ibm:rainmaker.ui'), 'app/messages/icons.properties');
    def properties = new Properties();
    properties.load(file.newInputStream());
    properties.each {
        zput("/tmp/icons/${it.key}", it.value);
    }
}
